/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dao;

import java.sql.Connection;

import umgnotas.eis.dto.*;
import umgnotas.eis.exceptions.*;

public interface TbUniversidadDao
{
	/** 
	 * Inserts a new row in the tb_universidad table.
	 */
	public TbUniversidadPk insert(TbUniversidad dto) throws TbUniversidadDaoException;

	/** 
	 * Updates a single row in the tb_universidad table.
	 */
	public void update(TbUniversidadPk pk, TbUniversidad dto) throws TbUniversidadDaoException;

	/** 
	 * Deletes a single row in the tb_universidad table.
	 */
	public void delete(TbUniversidadPk pk) throws TbUniversidadDaoException;

	/** 
	 * Returns the rows from the tb_universidad table that matches the specified primary-key value.
	 */
	public TbUniversidad findByPrimaryKey(TbUniversidadPk pk) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria 'uni_codigo = :uniCodigo'.
	 */
	public TbUniversidad findByPrimaryKey(Integer uniCodigo) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria ''.
	 */
	public TbUniversidad[] findAll() throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria 'uni_codigo = :uniCodigo'.
	 */
	public TbUniversidad[] findWhereUniCodigoEquals(int uniCodigo) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria 'uni_nombre = :uniNombre'.
	 */
	public TbUniversidad[] findWhereUniNombreEquals(String uniNombre) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria 'uni_direccion = :uniDireccion'.
	 */
	public TbUniversidad[] findWhereUniDireccionEquals(String uniDireccion) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the criteria 'uni_telefono = :uniTelefono'.
	 */
	public TbUniversidad[] findWhereUniTelefonoEquals(String uniTelefono) throws TbUniversidadDaoException;

	/** 
	 * Sets the value of maxRows
	 */
	public void setMaxRows(int maxRows);

	/** 
	 * Gets the value of maxRows
	 */
	public int getMaxRows();

	/** 
	 * Returns all rows from the tb_universidad table that match the specified arbitrary SQL statement
	 */
	public TbUniversidad[] findByDynamicSelect(String sql, Object[] sqlParams) throws TbUniversidadDaoException;

	/** 
	 * Returns all rows from the tb_universidad table that match the specified arbitrary SQL statement
	 */
	public TbUniversidad[] findByDynamicWhere(String sql, Object[] sqlParams) throws TbUniversidadDaoException;

	public Connection getUserConn();

	public void setUserConn(Connection userConn);

}
